Company
Stored in the companies collection. createdAt and updatedAt are maintained automatically.
Returned by PUT /custom-field/reset-system.
| Field | Type | Notes |
|---|---|---|
name | string | required |
email | string | required · never returned (select: false) |
taxId | string | |
contactNumber.countryCode | string | required |
contactNumber.number | string | required |
address | string | |
country | string | |
state | string | |
city | string | |
postalCode | string | |
profileImage | ObjectId -> File | default null |
memberCount | number | default 0 |
aiLeadCount | number | default 0 |
domain | string | default "" |
aboutUs | string | default "" |
aiOnboardingRuns | ObjectId[] -> AIOnboarding | default [] |
metaData.systemFields | object[] | default [] |
metaData.systemFields._id | string | required |
metaData.systemFields.name | string | |
metaData.systemFields.panel | string | default contact · one of contact, lead, productService |
metaData.systemFields.section | string | |
metaData.systemFields.order | number | |
metaData.systemFields.hide | boolean | default false |
metaData.systemFields.valueType | string | |
metaData.systemFields.fieldType | string | |
metaData.systemFields.options | object[] | default [] |
metaData.systemFields.options.label | string | |
metaData.systemFields.options.description | string | |
metaData.systemFields.options.value | string | |
metaData.systemFields.required | boolean | default false |
metaData.systemFields.placeholder | string | |
metaData.systemFields.helper | string | |
metaData.systemFields.defaultValue | any | |
metaData.systemSections | object[] | default [] |
metaData.systemSections._id | string | required |
metaData.systemSections.name | string | |
metaData.systemSections.description | string | |
metaData.systemSections.panel | string | default contact · one of contact, lead, productService |
metaData.systemSections.order | number | |
metaData.systemSections.hide | boolean | default false |
metaData.customFields | mixed[] | default [] |
metaData.customSections | mixed[] | default [] |
_id | ObjectId | default "6a95712f932657988a91c077" |
createdAt | date | set once |
updatedAt | date |